GroupByTestImpl (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.cache.query.functional

## Class GroupByTestImpl

- java.lang.Object
- - org.apache.geode.cache.query.functional.GroupByTestImpl

- All Implemented Interfaces:
    GroupByTestInterface

      public abstract class GroupByTestImpl
      extends java.lang.Object
      implements GroupByTestInterface

  Tests the group by queries with or without aggreagte functions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupByTestImpl()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Region` | `createRegion(java.lang.String regionName, java.lang.Class constraint)`
    `void` | `setUp()`
    `void` | `tearDown()`
    `void` | `testAggregateFuncAvg()`
    `void` | `testAggregateFuncAvgDistinct()`
    `void` | `testAggregateFuncCountDistinctStar_1()`
    `void` | `testAggregateFuncCountDistinctStar_2()`
    `void` | `testAggregateFuncCountStar()`
    `void` | `testAggregateFuncMax()`
    `void` | `testAggregateFuncMin()`
    `void` | `testAggregateFuncNoGroupBy()`
    `void` | `testAggregateFuncSum()`
    `void` | `testAggregateFuncSumDistinct()`
    `void` | `testAggregateFuncWithOrderBy()`
    `void` | `testCompactRangeIndex()`
    `void` | `testComplexValueAggregateFuncAvgDistinct()`
    `void` | `testConvertibleGroupByQuery_1()`
    `void` | `testConvertibleGroupByQuery_refer_column_alias_Bug520141()`
    `void` | `testConvertibleGroupByQuery_refer_column()`
    `void` | `testDistinctCountWithoutGroupBy()`
    `void` | `testLimitWithGroupBy()`
    `void` | `testSumWithMultiColumnGroupBy()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupByTestImpl

          public GroupByTestImpl()

  - ### Method Detail

    - #### createRegion

          public abstract Region createRegion(java.lang.String regionName,
                                              java.lang.Class constraint)

    - #### testConvertibleGroupByQuery_1

          public void testConvertibleGroupByQuery_1()
                                             throws java.lang.Exception

      Specified by:
        `testConvertibleGroupByQuery_1` in interface `GroupByTestInterface`
      Throws:
        `java.lang.Exception`

    - #### testConvertibleGroupByQuery_refer_column

          public void testConvertibleGroupByQuery_refer_column()
                                                        throws java.lang.Exception

      Specified by:
        `testConvertibleGroupByQuery_refer_column` in interface `GroupByTestInterface`
      Throws:
        `java.lang.Exception`

    - #### testConvertibleGroupByQuery_refer_column_alias_Bug520141

          public void testConvertibleGroupByQuery_refer_column_alias_Bug520141()
                                                                        throws java.lang.Exception

      Specified by:
        `testConvertibleGroupByQuery_refer_column_alias_Bug520141` in interface `GroupByTestInterface`
      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncCountStar

          public void testAggregateFuncCountStar()
                                          throws java.lang.Exception

      Specified by:
        `testAggregateFuncCountStar` in interface `GroupByTestInterface`
      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncCountDistinctStar_1

          public void testAggregateFuncCountDistinctStar_1()
                                                    throws java.lang.Exception

      Specified by:
        `testAggregateFuncCountDistinctStar_1` in interface `GroupByTestInterface`
      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncCountDistinctStar_2

          public void testAggregateFuncCountDistinctStar_2()
                                                    throws java.lang.Exception

      Specified by:
        `testAggregateFuncCountDistinctStar_2` in interface `GroupByTestInterface`
      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncSum

          public void testAggregateFuncSum()
                                    throws java.lang.Exception

      Specified by:
        `testAggregateFuncSum` in interface `GroupByTestInterface`
      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncSumDistinct

          public void testAggregateFuncSumDistinct()
                                            throws java.lang.Exception

      Specified by:
        `testAggregateFuncSumDistinct` in interface `GroupByTestInterface`
      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncNoGroupBy

          public void testAggregateFuncNoGroupBy()
                                          throws java.lang.Exception

      Specified by:
        `testAggregateFuncNoGroupBy` in interface `GroupByTestInterface`
      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncAvg

          public void testAggregateFuncAvg()
                                    throws java.lang.Exception

      Specified by:
        `testAggregateFuncAvg` in interface `GroupByTestInterface`
      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncAvgDistinct

          public void testAggregateFuncAvgDistinct()
                                            throws java.lang.Exception

      Specified by:
        `testAggregateFuncAvgDistinct` in interface `GroupByTestInterface`
      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncWithOrderBy

          public void testAggregateFuncWithOrderBy()
                                            throws java.lang.Exception

      Specified by:
        `testAggregateFuncWithOrderBy` in interface `GroupByTestInterface`
      Throws:
        `java.lang.Exception`

    - #### testComplexValueAggregateFuncAvgDistinct

          public void testComplexValueAggregateFuncAvgDistinct()
                                                        throws java.lang.Exception

      Specified by:
        `testComplexValueAggregateFuncAvgDistinct` in interface `GroupByTestInterface`
      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncMax

          public void testAggregateFuncMax()
                                    throws java.lang.Exception

      Specified by:
        `testAggregateFuncMax` in interface `GroupByTestInterface`
      Throws:
        `java.lang.Exception`

    - #### testSumWithMultiColumnGroupBy

          public void testSumWithMultiColumnGroupBy()
                                             throws java.lang.Exception

      Specified by:
        `testSumWithMultiColumnGroupBy` in interface `GroupByTestInterface`
      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncMin

          public void testAggregateFuncMin()
                                    throws java.lang.Exception

      Specified by:
        `testAggregateFuncMin` in interface `GroupByTestInterface`
      Throws:
        `java.lang.Exception`

    - #### testCompactRangeIndex

          public void testCompactRangeIndex()
                                     throws java.lang.Exception

      Specified by:
        `testCompactRangeIndex` in interface `GroupByTestInterface`
      Throws:
        `java.lang.Exception`

    - #### testDistinctCountWithoutGroupBy

          public void testDistinctCountWithoutGroupBy()
                                               throws java.lang.Exception

      Specified by:
        `testDistinctCountWithoutGroupBy` in interface `GroupByTestInterface`
      Throws:
        `java.lang.Exception`

    - #### testLimitWithGroupBy

          public void testLimitWithGroupBy()
                                    throws java.lang.Exception

      Specified by:
        `testLimitWithGroupBy` in interface `GroupByTestInterface`
      Throws:
        `java.lang.Exception`

    - #### setUp

          public void setUp()
                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### tearDown

          public void tearDown()
                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`